Bug 203601 - Kernel doesn't recognize DVD-ROM on JMicron 20360/20363
Kernel doesn't recognize DVD-ROM on JMicron 20360/20363
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-08-22 13:41 EDT by Ian Schmidt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.18-1.2200.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-17 01:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Schmidt 2006-08-22 13:41:38 EDT
Description of problem:
The kernel doesn't recognize any CD-ROM or DVD-ROM devices connected to the PATA
port of my motherboard's JMicron 20360/20363.

Version-Release number of selected component (if applicable):

How reproducible:
Boot up to date FC5 on a motherboard with a JMicron controller (e.g. ASUS P5B
Deluxe Wi-Fi) and a PATA CD or DVD connected to the PATA port.  Note that the
kernel will not see it.

lspci shows this for the controller:
03:00.0 IDE interface: JMicron Technologies, Inc. JMicron 20360/20363 AHCI
Controller (rev 02)

Steps to Reproduce:
1. Boot kernel on appropriate motherboard
2. Notice that there is no /dev/cdrom and dmesg doesn't show it detecting any
optical drives
Actual results:
Optical drive is not recognized and no /dev entry is created for it

Expected results:
Optical drive *is* recognized and a /dev entry is created

Additional info:
I saw a note about this on LKML from Alan Cox stating that a fix was submitted
after 2.6.18rc4 - could this fix be backported to FC5 please?
Comment 1 Bart Meijer 2006-08-31 06:40:46 EDT
Patch included in 2.6.18-rc4-mm1. Possibly in RC5. 

Possible fixes:
Comment 2 Ian Schmidt 2006-09-01 15:07:29 EDT
Thanks, the all-generic-ide option got things to work properly.
Comment 3 Dave Jones 2006-10-16 14:28:08 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Ian Schmidt 2006-10-17 01:02:16 EDT
2.6.18-1.2200.fc5 fixes this issue without requiring all-generic-ide.

Note You need to log in before you can comment on or make changes to this bug.